/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __ARTICLE_LIST_H__
#define __ARTICLE_LIST_H__

GSList* thread_list_by_subject (GSList *, group_data *);
GSList* thread_list_by_reference (GSList *, group_data *);
GSList* thread_list_by_multipart (GSList *, group_data *);
void set_node_image (article_data *);
GtkWidget* create_articlelist_ctree (void);
void articlelist_get_all (void);
void articlelist_select_all (void);
void articlelist_get_new (void);
void articlelist_free (GSList *);
void articlelist_update_node (article_data *);
void article_ctree_clean (void);
void articlelist_update (group_data *);
void articlelist_load (queue_data *);
void click_articlelist_column (GtkCList *, int); /* int = which column was clicked */
int compare_subject_ascending  (article_data *, article_data *);
int compare_subject_descending (article_data *, article_data *);
int compare_lines_ascending  (article_data *, article_data *);
int compare_lines_descending (article_data *, article_data *);
int compare_author_ascending  (article_data *, article_data *);
int compare_author_descending (article_data *, article_data *);
int compare_date_ascending  (article_data *, article_data *);
int compare_date_descending (article_data *, article_data *);
void decode_selected_articles(void);
void articlelist_find_text_cb(void);
void articlelist_find_next_cb(void);

#endif /* __ARTICLE_LIST_H__ */
